#
# spec file for package perl-Digest-SHA1 (Version 2.00)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Digest-SHA1
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Autoreqprov:  on
Summary:      Perl interface to the SHA-1 Algorithm
Version:      2.00
Release:      30
Source:       Digest-SHA1-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
The Digest::SHA1 module allows you to use the NIST SHA-1 message
digest algorithm from within Perl programs. The algorithm takes as
input a message of arbitrary length and produces as output a 160-bit
"fingerprint" or "message digest" of the input.

Authors:
--------
    Peter C. Gutmann, 
    Uwe Hollerbach <uh@alumni.caltech.edu>, 
    Gisle Aas <gisle@aas.no> 
    

SuSE series: perl

%prep
%setup -n Digest-SHA1-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Digest-SHA1
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Digest/SHA1
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%doc README MANIFEST Changes fip180-1.gif fip180-1.html
%{perl_sitearch}/Digest/SHA1.pm
%{perl_sitearch}/auto/Digest/SHA1
/var/adm/perl-modules/perl-Digest-SHA1

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog -n perl-Digest-SHA1
* Tue Aug 14 2001 - rvasice@suse.cz
- initial package release (version 2.00)
